package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.HousePart;


/**
*  service接口类
*/
public interface HousePartService{

    List<HousePart> getHousePartList(HousePart record);

    List<HousePart> getHousePartByPage(Page page, HousePart record);

    HousePart getHousePartById(String id);

    HousePart getHousePart(HousePart record);

    boolean createHousePart(HousePart record);

    boolean deleteHousePart(String id);

    boolean updateHousePart(HousePart record);
}

